/***************************************************************************
                          attributedialog.cpp  -  description
                             -------------------
    begin                : Sat Sep 11 1999
    copyright            : (C) 1999 by Henrik Stormer
    email                : stormer@ifi.unizh.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/
#include "qfileinfo.h"

#include "attributedialog.h"
#include <qstrlist.h>
#include <klocale.h>

AttributeDialog::AttributeDialog(QWidget *parent, const char *name)
 : BaseDialog()
{
	initDialog();
  setCaption(name);
  _ReadUser= new MyCheckBox(this,"NoName");
  _ReadUser->setGeometry(40,40,100,30);
  _ReadUser->setMinimumSize(0,0);
  _ReadUser->setText(i18n("Read User"));

  _WriteUser= new MyCheckBox(this,"NoName");
  _WriteUser->setGeometry(40,70,100,30);
  _WriteUser->setMinimumSize(0,0);
  _WriteUser->setText(i18n("Write User"));

  _ExecuteUser= new MyCheckBox(this,"NoName");
  _ExecuteUser->setGeometry(40,100,120,30);
  _ExecuteUser->setMinimumSize(0,0);
  _ExecuteUser->setText(i18n("Excute User"));

  _ReadGroup= new MyCheckBox(this,"NoName");
  _ReadGroup->setGeometry(160,40,100,30);
  _ReadGroup->setMinimumSize(0,0);
  _ReadGroup->setText(i18n("Read Group"));

  _WriteGroup= new MyCheckBox(this,"NoName");
  _WriteGroup->setGeometry(160,70,100,30);
  _WriteGroup->setMinimumSize(0,0);
  _WriteGroup->setText(i18n("Write Group"));

  _ExecuteGroup= new MyCheckBox(this,"NoName");
  _ExecuteGroup->setGeometry(160,100,120,30);
  _ExecuteGroup->setMinimumSize(0,0);
  _ExecuteGroup->setText(i18n("Execute Group"));

  _ReadOther= new MyCheckBox(this,"NoName");
  _ReadOther->setGeometry(280,40,100,30);
  _ReadOther->setMinimumSize(0,0);
  _ReadOther->setText(i18n("Read Other"));

  _WriteOther= new MyCheckBox(this,"NoName");
  _WriteOther->setGeometry(280,70,100,30);
  _WriteOther->setMinimumSize(0,0);
  _WriteOther->setText(i18n("Write Other"));

  _ExecuteOther= new MyCheckBox(this,"NoName");
  _ExecuteOther->setGeometry(280,100,120,30);
  _ExecuteOther->setMinimumSize(0,0);
  _ExecuteOther->setText(i18n("Execute Other"));

  connect(_OK, SIGNAL(clicked()), SLOT(slotOk()));
  connect(_Cancel, SIGNAL(clicked()), SLOT(slotCancel()));

}

AttributeDialog::~AttributeDialog()
{}

void AttributeDialog::setOwner(QString Owner, bool Enabled)
{
/*  _Owner->insertStrList(&OwnerList);
  _Owner->setCurrentItem(-1);
  QStrListIterator it(OwnerList);
  for (int index=0;it.current();++it,index++)
    if (Owner == it.current())
      _Owner->setCurrentItem(index);
*/
  _Owner->setText(Owner);
  _Owner->setEnabled(Enabled);
}
void AttributeDialog::setGroup(QString Group, bool Enabled)
{
/*  _Group->insertStrList(&GroupList);
  _Group->setCurrentItem(-1);
  QListIterator<char> it(GroupList);
  for (int index=0;it.current();++it,index++)
    if (Group == it.current())
      _Group->setCurrentItem(index);
*/
  _Group->setText(Group);
  _Group->setEnabled(Enabled);
}
























