/***************************************************************************
                          knclistviewitem.h  -  description
                             -------------------
    begin                : Tue Aug 29 2000
    copyright            : (C) 2000 by Henrik Stormer
    email                : stormer@ifi.unizh.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KNCLISTVIEWITEM_H
#define KNCLISTVIEWITEM_H


#include "kncview.h"

/**
  *@author Henrik Stormer
  */

class KFileItem;

class KNCListViewItem : public QListViewItem
{

public:
	KNCListViewItem ( KFileItem* Item, KNCListView *parent, QString, QString, QString, QString, QString,
                    QString, QString, QString  );
	~KNCListViewItem();

  KFileItem* getFileItem() {return _FileItem;}

  virtual void paintFocus( QPainter * p, const QColorGroup & cg, const QRect & r );
  virtual void paintCell (QPainter * p, const QColorGroup & cg, int column, int width, int align);

  virtual QString key(int column, bool ascending) const;
  void    setDirSize(long DirSize);
  long    dirSize() {return _DirSize;}

 private:
 KFileItem*   _FileItem;
 long         _DirSize;
 KNCListView* _ListView;
};


#endif
